ResourcesSections
Search sections
Search sections with filters, search terms, includes, and sort instructions in a JSON request body.
Search sections with filters, search terms, includes, and sort instructions in a JSON request body.
Authorization
bearerAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://sell.app/api/v1/sections/search" \ -H "Content-Type: application/json" \ -d '{ "filters": [ { "field": "id", "operator": "=", "value": 1 } ], "sort": [ { "field": "created_at", "direction": "desc" } ] }'{
"data": [
{
"id": 1,
"title": "Dissection",
"slug": "dissection",
"hidden": false,
"order": 1,
"created_at": "2022-12-12T12:12:12.000000Z",
"updated_at": "2022-12-12T12:12:12.000000Z",
"store_id": 1,
"groups_linked": 1,
"products_linked": 1,
"groups": [
{
"id": 1,
"title": "Rat race",
"group_products": 1
}
],
"products": [
{
"id": "1",
"title": "This will make me rich!",
"description": "I am sure of it, Pinky."
}
]
}
],
"links": {},
"meta": {}
}List all sections GET
This endpoint allows you to retrieve a paginated list of all your sections. By default, a maximum of fifteen sections are shown per page.
Create a section POST
This endpoint allows you to create a new section. See the code examples for how to create a new section with the SellApp API.